Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator:
[legend]

## Public Member Functions
| SimpleYSymetryComparator ()
| SimpleYSymetryComparator (int threshold)
double | getDistance (HOG hog1, HOG hog2)

## Private Attributes
int | threshold

## Additional Inherited Members
Protected Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator
int | computetYSymetry (float threshold, float[][][] cells)
int | computeXSymetry (float threshold, float[][][] cells)

## Detailed Description

Object trying to find elements in Y axis symmetry. Only acceptable argument is threshold which means lowest acceptable value.

Author
  xnovak68

See also
  SymetryBaseComparator

Definition at line 10 of file SimpleYSymetryComparator.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.SimpleYSymetryComparator | ( |  | ) |

Definition at line 13 of file SimpleYSymetryComparator.java.

cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.SimpleYSymetryComparator | ( | int | threshold | ) |

Definition at line 16 of file SimpleYSymetryComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.threshold.

## Member Function Documentation

double cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.getDistance | ( | HOG | hog1,
|  | HOG | hog2
| ) |  |

Implements cz.vutbr.feec.novak68.hogcomparators.HOGComparator.

Definition at line 20 of file SimpleYSymetryComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator.computetYSymetry(), cz.vutbr.feec.novak68.HOG.getCells(), and cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.threshold.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies().

Here is the call graph for this function:

## Member Data Documentation

int cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.threshold
| private

Definition at line 12 of file SimpleYSymetryComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.SimpleYSymetryComparator.SimpleYSymetryComparator().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/SimpleYSymetryComparator.java